/*********<br>  Rui Santos
  Complete project details at <a href="http://randomnerdtutorials.com" rel="nofollow"> <a href="http://randomnerdtutorials.com"> http://randomnerdtutorials.com </a> </a>  
  Based on the Dallas Temperature Library example
  Serial.println(sensors.getTempCByIndex(0));     // get and print the temperature in degree Celsius
  https://randomnerdtutorials.com/esp8266-0-96-inch-oled-display-with-arduino-ide/
  Bibliotheken:
  onewire paul stoffregen
  U8glib
  Type “SSD1306” in the search box and install the SSD1306 library from Adafruit.
  After installing the SSD1306 library from Adafruit, type “GFX” in the search box and install the library.
*********/
#include <OneWire.h>
#include <DallasTemperature.h>
const uint8_t offset = 0;

// Data wire is conntec to the Arduino digital pin 4
#define ONE_WIRE_BUS 2
// Setup a oneWire instance to communicate with any OneWire devices
OneWire oneWire(ONE_WIRE_BUS);
// Pass our oneWire reference to Dallas Temperature sensor 
DallasTemperature sensors(&oneWire);
#include <U8g2lib.h>
U8G2_SSD1306_128X64_NONAME_F_HW_I2C u8g2(U8G2_R0, /* reset=*/ U8X8_PIN_NONE);


void setup(void)
{
// Start serial communication for debugging purposes
Serial.begin(9600);     // initialize the Serial Monitor at a baud rate of 9600
// Start up the library
sensors.begin();        // initialize the DS18B20 temperature sensor:
  u8g2.begin();
}

void loop(void){ 
    char text1[50] = {0}; //Textbuffer für Display
    char text2[50] = {0}; //Textbuffer für Display  
    int tmp1; //Temporär für Temperaturen
    int tmp2;
// Call sensors.requestTemperatures() to issue a global temperature and Requests to all devices on the bus
sensors.requestTemperatures(); 
Serial.print("1 Celsius temperature: ");  
// Why "byIndex"? You can have more than one IC on the same bus. 0 refers to the first IC on the wire
Serial.println(sensors.getTempCByIndex(0));     // get and print the temperature in degree Celsius
Serial.print("2 Celsius temperature: ");  
Serial.println(sensors.getTempCByIndex(1));     // get and print the temperature in degree Celsius
delay(1000);

float T1 = sensors.getTempCByIndex(0);  // let T be temperature in degC from sensor<br>// floating-point number, with a decimal point  
float T2 = sensors.getTempCByIndex(1);  // let T be temperature in degC from sensor<br>// floating-point number, with a decimal point 
  tmp1 = round(T1 * 10);
  tmp2 = round(T2 * 10);
  u8g2.clearBuffer();         // clear the internal memory
 // u8g2.setFont(u8g2_font_ncenB08_tr); // choose a suitable font
  u8g2.setFont(u8g2_font_logisoso16_tf);
//  u8g2.drawStr(0,10,"Hello World!");  // write something to the internal memory
  sprintf(text1,"%2d.%01d°C", tmp1/10-offset, abs(tmp1%10));
  sprintf(text2,"%2d.%01d°C", tmp2/10-offset, abs(tmp2%10)); 
//  sprintf(text,"%d.%d°C", T1);
//u8g.print(T1);
//u8g2.drawStr(40,10)(bme.readTemperature());
  u8g2.drawUTF8(0, 35, text1);
  u8g2.drawUTF8(0, 60, text2);
//u8g2.drawStr(0,50,"Hello World!");
  u8g2.sendBuffer();          // transfer internal memory to the display
  delay(1000);  

}
